<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:a4j="http://richfaces.org/a4j"
      xmlns:rich="http://richfaces.org/rich"
      xmlns:c="http://java.sun.com/jsp/jstl/core"
      xmlns:p="http://primefaces.org/ui">
    <ui:composition>
        <f:facet name="header">
            <h:graphicImage name="accepted.png" library="images"
                            rendered="#{uiBean.parametersRequest.dispositifStepIsValid}" />
            <h:outputText value="#{titleForPlateformesAccordionItem}" />
        </f:facet>

        <rich:list value="#{uiBean.parametersRequest.listDispositifsSelected}"
                   var="dispositif" type="unordered"
                   rendered="#{uiBean.parametersRequest.dispositifStepIsValid}"> 
<!--            <h:outputText value="{dispositif.nom}" />-->
            <p:commandLink actionListener="#{uiBean.selectDispositif(dispositif.lieu.id,dispositif.id)}"
                           oncomplete="updateDispositifs()" >
                <p>
                    <h:outputText value="#{dispositif.nom}" escape="false" styleClass="redText" /> 
                    <h:graphicImage name="remove_selection.png" library="images" />
                </p>
            </p:commandLink>
        </rich:list>
        <f:loadBundle basename="org.inra.ecoinfo.pro.extraction.incubation.incubation-messages" var="dispAccordionItem" />
        <h:outputText
            value="#{dispAccordionItem.PARAM_MSG_WARNING}"
            styleClass="selectionEmpty"
            rendered="#{not uiBean.parametersRequest.dispositifStepIsValid}" />
    </ui:composition>
</html>